<?php
	include "db.php";
	session_start();
	error_reporting(E_ALL); // Error/Exception engine, always use E_ALL
	ini_set('ignore_repeated_errors', true); // always use true
	ini_set('display_errors', false); // Error/Exception display, use false only in production environment or real server. Use true in development environment
	ini_set('log_errors', true); // Error/Exception file logging engine.
	ini_set('error_log', '/var/www/nikola/sync/errors.log'); // Logging file path
	
	//Přihlášení
	function is_log(){
		if (empty($_SESSION['logged'])) {
			header("Location: /login");		}
	}

	function data($col, $from, $sort = 'id', $order = 'ASC'){
		return SQL_data($col, $from, $sort, $order);
	}

	function SQL_data($col, $from, $sort = 'id', $order = 'ASC'){
		global $db;
		$sql = "SELECT $col FROM $from ORDER BY $sort $order";
		$sqlPrepare = $db->prepare($sql);
		$sqlPrepare->execute();
		$data = $sqlPrepare->fetchAll();
		return $data;
	}
	
	//Zobrazení session
	function show_sess($name, $type = 'alert', $format = 'light', $unset = true){
		//typy - https://getbootstrap.com/docs/5.3/components/alerts/
		if (!empty($_SESSION[$name])) {
			if ($type == 'alert') {
				$sess = '<div class="alert alert-'.$format.'" role="alert">';
				$sess .= '<button type="button" class="btn-close float-end" data-bs-dismiss="alert"></button>';
				foreach ($_SESSION[$name] as $key => $value) {
					$sess .= $value.'<br>';
				}
				$sess .= '</div>';
			}else{
				foreach ($_SESSION[$name] as $key => $value) {
					$sess[] = $value;
				}
			}
			if ($unset) {
				unset($_SESSION[$name]);
			}
			return $sess;
		}else{
			return;
		}
	}

	function nav_menu($active = "/"){
		global $db;
		$sql = "SELECT * FROM `menu` ORDER BY `sort_id` ASC";
		$sqlPrepare = $db->prepare($sql);
		$sqlPrepare->execute();
		$data = $sqlPrepare->fetchAll();

		$return = '<div class="row nav_menu">';
			$return .= '<nav class="navbar navbar-expand-lg navbar-light">';
				$return .= '<div class="container-fluid">';
					$return .= '<a class="navbar-brand mx-0 mx-md-2 me-md-5" href="/">';
						$return .= '<img src="/img/logo-400x100.png" alt="" width="200" height="50">';
					$return .= '</a>';
					$return .= '<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#nav_menu" aria-controls="nav_menu" aria-expanded="false">';
						$return .= '<span class="navbar-toggler-icon"></span>';
					$return .= '</button>';
					$return .= '<div class="collapse justify-content-between navbar-collapse" id="nav_menu">';
						$return .= '<div class="navbar-nav w-100 justify-content-between">';
						foreach ($data as $key => $value) {
							if ($value['link'] == $active) {
								$return .= '<a class="fs-5 mx-xl-3 nav-link active" href="'.$value['link'].'">'.$value['name'].'</a>';
							}else{
								if ($value['name'] != 'Přihlášení') {
									$return .= '<a class="fs-5 mx-xl-3 nav-link" href="'.$value['link'].'">'.$value['name'].'</a>';
								}elseif (empty($_SESSION['logged']) && $value['name'] == 'Přihlášení') {
									$return .= '<a class="fs-5 mx-xl-3 nav-link" href="'.$value['link'].'">'.$value['name'].'</a>';
								}else{
									$return .= '<a class="fs-5 mx-xl-3 nav-link dropdown-toggle" role="button" data-bs-toggle="dropdown" aria-expanded="false">Profil</a>';
									$return .= '<ul class="dropdown-menu dropdown-menu-light dropdown-menu-end">';
									$return .= '<li><a class="fs-6 py-2 dropdown-item" href="/profile">Upravit profil</a></li>';
									$return .= '<li><a class="fs-6 py-2 dropdown-item" href="/login/logout.php">Odhlásit se</a></li>';
									if ($value['id'] == 1) {
										$return .= '<li><a class="dropdown-item" href="/admin">Admin panel</a></li>';
									}
									$return .= '</ul>';
								}
							}
						}
						$return .= '</div>';
					$return .= '</div>';
				$return .= '</div>';
			$return .= '</nav>';
		$return .= '</div>';
		return $return;
	}

	function footer(){
		$return = '<div class="row g-0 p-0 bg-light w-100 position-relative bottom-0">';
			$return .= '<footer class="text-muted my-5">';
				$return .= '<div class="container-fluid justify-content-center d-flex">';
					$return .= '<a class="mx-4 text-secondary" href="/contacts">Kontatkty</a>';
					$return .= '<a class="mx-4 text-secondary" href="/gdpr">Zpracování osobních údajů</a>';
					$return .= '<a class="mx-4 text-secondary" href="/podminky">Obchodní podmínky</a>';
					$return .= '<a class="mx-4 text-secondary" href="/cookies">Zpracování souborů cookies</a>';
					$return .= '<a class="mx-4 text-secondary" href="/reklamace">Reklamační řád</a>';
				$return .= '</div>';
			$return .= '</footer>';
		$return .= '</div>';
		return $return;
	}

	function validation($post, $pref, $error_msg, $optional = false){
		if (empty($_POST[$post])) {
			if (!$optional) {
				$_SESSION[$pref.'_error'][] = $error_msg;
			}
		}else{
			$result = htmlspecialchars(strip_tags($_POST[$post]), ENT_QUOTES, 'UTF-8');
			$_SESSION[$pref.'_'.$post][] = $result;
		}
		return $result;
	}

	function url_parm($get, $add_key, $add_val){
		$get[$add_key] = $add_val;
		if (!empty($get)) {
			foreach ($get as $key => $value) {
				if (!empty($result)) {
					$result .= '&'.$key.'='.$value;
				}else{
					$result = '?'.$key.'='.$value;
				}
			}
		}
		return $result;
	}

	function option($from = 'type', $find = '2'){
		global $db;
		$sql = "SELECT * FROM $from";
		$sqlPrepare = $db->prepare($sql);
		$sqlPrepare->execute();
		$data = $sqlPrepare->fetchAll();

		foreach ($data as $key => $value) {
			if ($value['id'] == $find) {
				$result .= '<option selected value="'.$value['id'].'">'.$value['name'].'</option>';
			}else{
				$result .= '<option value="'.$value['id'].'">'.$value['name'].'</option>';
			}
		}
		return $result;
	}

	function checkbox($type, $active_list = null) {
		global $db;
	    $return = '';
	    $table_mapping = [
	        'therapy_type' => 1,
	        'therapy_focus' => 2,
	    ];

	    if (!empty($type) && isset($table_mapping[$type])) {
	        $sql = "SELECT * FROM `$type`";
	        $sqlPreparation = $db->prepare($sql);
	        $sqlPreparation->execute();
	        $data = $sqlPreparation->fetchAll();
	        
	        $i = 0;
	        foreach ($data as $value) {
	            $i++;
	            $is_checked = !empty($active_list) && in_array($value['id'], array_column($active_list, 'therapy_id'));
	            $checked_attribute = $is_checked ? ' checked' : '';
	            $return .= '<li class="list-group-item">';
	            $return .= '<input'.$checked_attribute.' name="'.$type.'[]" type="checkbox" class="btn-check" id="btn-'.$type.'-'.$i.'" value="'.$value['id'].'">';
	            $return .= '<label class="btn btn-outline-dark" for="btn-'.$type.'-'.$i.'">'.$value['name'].'</label>';
	            $return .= '</li>';
	        }
	    }
	    return $return;
	}


	function price(){
		global $db;
		$sql = "SELECT * FROM `subs`";
		$sqlPrepare = $db->prepare($sql);
		$sqlPrepare->execute();
		$data = $sqlPrepare->fetchAll();

		foreach ($data as $key => $value) {
			$result .= '<option value='.$value['days'].'>'.$value['text'].'&nbsp;&nbsp;('.$value['price'].' Kč)</option>';
		}
		return $result;
	}

	function show_news(){
		global $db;
		$sql = "SELECT * FROM `news` ORDER BY `last_update` DESC";
		$sqlPrepare = $db->prepare($sql);
		$sqlPrepare->execute();
		$data = $sqlPrepare->fetchAll();

		$result = '';
		foreach ($data as $key => $value) {
			$result .= '<div class="card mt-2">';
			$result .= '<div class="row g-0">';
			$result .= '<div class="col-sm-4">';
			$result .= '<img class="img-thumbnail rounded" src="'.$value['thumbnail'].'">';
			$result .= '</div>';
			$result .= '<div class="col-sm-8 position-relative">';
			$result .= '<div class="card-body">';
			$result .= '<h5 class="card-title">'.$value['title'].'</h5>';
			$result .= '<p class="card-text text-break text_truncate">'.$value['text'].'</p>';
			if (date('Y-m-d') == date('Y-m-d', strtotime($value['last_update']))) {
				$last_update = 'v '.date('H:i', strtotime($value['last_update']));
			}else{
				$last_update = date('j. n. Y', strtotime($value['last_update']));
			}
			$result .= '<p class="align-text-bottom position-absolute bottom-0 start-0 ps-3 pb-2 card-text"><small class="text-muted">Poslední změna '.$last_update.'</small></p>';
			$result .= '</div>';
			$result .= '</div>';
			$result .= '</div>';
			$result .= '</div>';
		}
		return $result;
	}

	function show_therapists($get){
		global $db;
		$result = '';
		$sql = "SELECT * FROM `users` WHERE `type` != 1 AND `price` <= :price AND `firstname` LIKE :firstname AND `surname` LIKE :surname";
		$sqlPrepare = $db->prepare($sql);
		$select_data = array(
			':price' => isset($_GET['price']) ? $_GET['price'] : '0',
			':firstname' => isset($_GET['search']) ? '%'.explode(" ", $_GET['search'])[0].'%' : '%',
			':surname' => isset($_GET['search']) ? '%'.explode(" ", $_GET['search'])[1].'%' : '%'
		);
		$sqlPrepare->execute($select_data);
		$data = $sqlPrepare->fetchAll();

		if (!empty($data)) {
			foreach ($data as $key => $value) {
			//<filtry> 
				//filtrovani podle zamereni
				if (!empty($_GET['focus'])) {
					$sql = "SELECT * FROM `meta_therapy_focus`
						JOIN `therapy_focus` ON `therapy_focus`.`id` = `meta_therapy_focus`.`therapy_id` 
						WHERE `user_id` = :id AND `therapy_focus`.`name` = :focus";
					$sqlPrepare = $db->prepare($sql);
					$select_data = array(
						':id' => $value['id'],
						':focus' => $_GET['focus'],
					);
					$sqlPrepare->execute($select_data);
					$data_focus = $sqlPrepare->fetchAll();

					if (empty($data_focus)) {
						unset($data[$key]);
						continue;
					}
				}
				//filtrovani podle typu
				if (!empty($_GET['type'])) {
					$sql = "SELECT * FROM `meta_therapy_type`
						JOIN `therapy_type` ON `therapy_type`.`id` = `meta_therapy_type`.`therapy_id` 
						WHERE `user_id` = :id AND `therapy_type`.`name` = :type";
					$sqlPrepare = $db->prepare($sql);
					$select_data = array(
						':id' => $value['id'],
						':type' => $_GET['type'],
					);
					$sqlPrepare->execute($select_data);
					$data_type = $sqlPrepare->fetchAll();

					if (empty($data_type)) {
						unset($data[$key]);
						continue;
					}
				}
			}
			//</filtry>
			foreach ($data as $key => $value) {
				$sql = "SELECT * FROM `meta_therapy_focus` JOIN `therapy_focus` ON `therapy_focus`.`id` = `meta_therapy_focus`.`therapy_id` WHERE `user_id` = :id";
					$sqlPrepare = $db->prepare($sql);
					$select_data = array(
						':id' => $value['id'],
					);
					$sqlPrepare->execute($select_data);
					$data_focus = $sqlPrepare->fetchAll();

				$sql = "SELECT * FROM `meta_therapy_type` JOIN `therapy_type` ON `therapy_type`.`id` = `meta_therapy_type`.`therapy_id` WHERE `user_id` = :id";
					$sqlPrepare = $db->prepare($sql);
					$select_data = array(
						':id' => $value['id'],
					);
					$sqlPrepare->execute($select_data);
					$data_type = $sqlPrepare->fetchAll();

				$result .= '<div class="card mt-2 therapist">';
				$result .= '<div class="row g-0">';
				$result .= '<div class="col-md-3">';
				$result .= '<div class="circle m-3 w-75">';
				if (!empty($value['img'])) {
					$img = $value['img'];
				}else{
					if ($value['gender']) {
						$img = '../img/not-img-man.png';
					}else{
						$img = '../img/not-img-woman.png';
					}
				}
				$result .= '<img class="img-crop border-0" src="'.$img.'">';
				$result .= '</div>';
				$result .= '</div>';
				$result .= '<div class="col-md-8 offset-1">';
				$result .= '<div class="card-body">';
				$result .= '<table class="w-100">';
				$result .= '<tr>';
				$result .= '<td class="w-75"><h6 class="card-title">'.$value['firstname'].' '.$value['surname'].'</h6></td>';
				$result .= '<td><a href="detail?id='.$value['id'].'"><button class="btn btn-outline-success">Zobrazit profil</button></td>';
				$result .= '</tr>';
				$result .= '<tr>';
				$result .= '<td><p class="card-text">';
				$result .= implode(', ', array_column($data_focus, 'name'));
				$result .= '<br>';
				$result .= implode(', ', array_column($data_type, 'name'));
				$result .= '</p></td>';
				$result .= '</tr>';
				$result .= '<tr>';
				$result .= '<td><p class="card-text"><b>'.$value['address'].'</b><span class="distance"></span></p></td>';
				$result .= '<td class="d-none"><p class="lat">'.$value['lat'].'</p></td>';
				$result .= '<td class="d-none"><p class="lng">'.$value['lng'].'</p></td>';
				$result .= '</tr>';
				$result .= '</table>';
				$result .= '</div>';
				$result .= '</div>';
				$result .= '</div>';
				$result .= '</div>';
			}
		}else{
			$result .= '<h2 class="text-center my-4">Bohužel jsme nic nenašli...</h2>';
		}
		return $result;
	}

	function datalist($name, $col, $from){
		$result = '<datalist id="'.htmlspecialchars($name).'">';
		if (is_array($col)) {
			foreach ($col as $key => $value) {
				$pre_data[] = SQL_data($value, $from);
			}
				if (!empty($pre_data[0])) {
					foreach ($pre_data[0] as $key => $value) {
						for ($i=0; $i < count($pre_data); $i++) { 
							foreach ($col as $key2 => $col_value) {
								if (!empty($pre_data[$i][$key][$col_value])) {
									$f_value .= $pre_data[$i][$key][$col_value].' ';
								}
							}
						}
						$result .= '<option value="'.substr($f_value, 0, -1).'">';
						unset($f_value);
					}
				}
		}else{
			foreach (SQL_data($col, $from) as $key => $value) {
				$result .= '<option value="'.$value[$col].'">';
			}
		}
		$result .= '</datalist>';
		return $result;
	}

	function show_therapist_detail($id, $type = 'detail'){
		global $db;
		$sql = "SELECT * FROM `users` WHERE `id` = :id";
			$sqlPrepare = $db->prepare($sql);
			$select_data = array(
				':id' => $id,
			);
			$sqlPrepare->execute($select_data);
			$data = $sqlPrepare->fetchAll();

		$sql = "SELECT * FROM `meta_therapy_type` JOIN `therapy_type` ON `therapy_type`.`id` = `meta_therapy_type`.`therapy_id` WHERE `user_id` = :id";
			$sqlPrepare = $db->prepare($sql);
			$select_data = array(
				':id' => $id,
			);
			$sqlPrepare->execute($select_data);
			$data_type = $sqlPrepare->fetchAll();

		$sql = "SELECT * FROM `meta_therapy_focus` JOIN `therapy_focus` ON `therapy_focus`.`id` = `meta_therapy_focus`.`therapy_id` WHERE `user_id` = :id";
			$sqlPrepare = $db->prepare($sql);
			$select_data = array(
				':id' => $id,
			);
			$sqlPrepare->execute($select_data);
			$data_focus = $sqlPrepare->fetchAll();

		$sql = "SELECT * FROM `ordinary_time` WHERE `user_id` = :id";
			$sqlPrepare = $db->prepare($sql);
			$select_data = array(
				':id' => $id,
			);
			$sqlPrepare->execute($select_data);
			$data_ordinary = $sqlPrepare->fetchAll();
		if ($type == 'pay') {
			$result = '<div class="card">';
				$result .= '<div class="card-body">';
					$result .= '<h3 class="card-title">Informace</h3>';
					if ($data[0]['gender'] == 1) {
						$gender = "muž";
					}else{
						$gender = "žena";
					}
					$result .= '<p class="card-text my-2">'.$data[0]['firstname'].' '.$data[0]['surname'].' ('.$gender.')</p>';
					$result .= '<p class="card-text my-2">Tel.: '.$data[0]['tel'].'</p>';
					$result .= '<p class="card-text my-2">E-mail.: '.$data[0]['email'].'</p>';
					$result .= '<p class="card-text my-2">'.$data[0]['address'].'</p>';
					$result .= '<p class="card-text my-2">Praxe od: '.$data[0]['praxe'].'</p>';
					$result .= '<p class="card-text my-2">Cena za 1 hod.: '.$data[0]['price'].' Kč</p>';
					$result .= '<p class="card-text my-2">Informace: '.$data[0]['info'].'</p>';
					$result .= '<b><p class="card-text my-2">Zaměření terapií:</p></b>';
					foreach ($data_focus as $key => $value) {
						$result .= '<p class="card-text my-1 ms-3">'.$value['name'].'</p>';
					}
					$result .= '<b><p class="card-text my-2">Druhy:</p></b>';
					foreach ($data_type as $key => $value) {
						$result .= '<p class="card-text my-1 ms-3">'.$value['name'].'</p>';
					}
					$result .= '<b><p class="card-text my-2">Ordinační hodiny:</p></b>';
					$days = array("Pondělí","Úterý","Středa","Čtvrtek","Pátek","Sobota","Neděle");
					$result .= '<table class="ms-3">';
					foreach ($data_ordinary as $key => $value) {
						$result .= '<tr>';
							$result .= '<td>'.$days[$value['day']-1].'</td><td class="ps-3">'.date("h:i", strtotime($value['from'])).' - '.date("h:i", strtotime($value['to'])).'</td>';
						$result .= '</tr>';
					}
					$result .= '</table>';
				$result .= '</div>';
			$result .= '</div>';
			$result .= '</div>';
		}elseif ($type == 'price') {
			$result = $value['price'];
		}
		return $result;
	}
?>