var map, infoWindow;
function initMap() {
	//Výchozí center
	center_lat = 50.073658;
	center_lng = 14.418540;
	//Výchozí přiblížení
	var map = new google.maps.Map(document.getElementById('map'), {
		center: {lat: center_lat, lng: center_lng},
		zoom: 12
	});
	//Markery
	infoWindow = new google.maps.InfoWindow;

	//AJAX načtení odborníku z DB
	var xhr = new XMLHttpRequest();
	xhr.open('GET', 'mapa_data.php', true);
	xhr.onload = function() {
	    if (this.status == 200) {
	        var therapists = JSON.parse(this.responseText);

	        //Marker pro každého
	        for (var i = 0; i < therapists.length; i++) {
	            (function(therapist) {
	                if(therapist.lat && therapist.lng) {
	                    var marker = new google.maps.Marker({
	                        position: {lat: parseFloat(therapist.lat), lng: parseFloat(therapist.lng)},
	                        map: map,
	                        title: therapist.name
	                    });

	                    //Info box - pro každého terapeuta s proklikem
	                    google.maps.event.addListener(marker, 'click', function() {
	                        var contentString = '<div><a style="color:black; text-decoration: none;" href="https://www.terapeut.cz/DOMINIK/therapists/detail/?id=' + therapist.id + '"><h6>' + therapist.name + '</h6></a><span>' + (therapist.address ? therapist.address : "Adresa není k dispozici") + '</span></div>';
	                        infoWindow.setContent(contentString);
	                        infoWindow.open(map, marker);
	                    });
	                }
	            })(therapists[i]);
	        }
	    }
	};
	xhr.send();

	function downloadUrl(url, callback) {
	var request = window.ActiveXObject ?
		new ActiveXObject('Microsoft.XMLHTTP') :
		new XMLHttpRequest;

	request.onreadystatechange = function() {
		if (request.readyState == 4) {
		request.onreadystatechange = doNothing;
		callback(request, request.status);
		}
	};

	request.open('GET', url, true);
	request.send(null);
	}
		//Zobrazení aktuální polohy - https://developers.google.com/maps/documentation/javascript/geolocation
		if (navigator.geolocation) {
			navigator.geolocation.getCurrentPosition(function(position) {
				var pos = {
					lat: position.coords.latitude,
					lng: position.coords.longitude,
				};
				infoWindow.setPosition(pos);
				infoWindow.setContent('Zde stojíte');
				infoWindow.open(map);
				map.setCenter(pos);
			}, function() {
				handleLocationError(true, infoWindow, map.getCenter());
			});
		}else {
			handleLocationError(false, infoWindow, map.getCenter()); // Prohlížeč nepodporuje geolokaci
		}
	}

	function handleLocationError(browserHasGeolocation, infoWindow, pos) {
		infoWindow.setPosition(pos);
		infoWindow.setContent(browserHasGeolocation ? 'Error: Geolokace se nezdařila.' : 'Error: Tvůj prohlížeč nepodporuje geolokaci.');
		infoWindow.open(map);
	}
