<?php
	include '../lib.php';
?>

<!DOCTYPE html>
<html>
<head>
	<title>Terapeuti - Přihlášení</title>

	<!-- Meta -->
	<meta charset="utf-8">
	<meta name="language" content="czech">

	<!-- CSS -->
		<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.min.css">
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
		<link rel="stylesheet" type="text/css" href="/style.css">

	<!-- JS -->
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
</head>

<body>
	<div class="container">
		<div class="row">
			<div class="col-8 mx-auto">
				<div class="row">
					<img class="w-50 mx-auto mt-5 mb-4" src="/img/logo-350x75.png">
				</div>
				<div class="row">
					<form method="POST" action="reg_action.php">
						<div class="row">
							<div class="col">
								<div class="input-group mb-3">
									<label class="input-group-text text-end ps-5 fs-5 border-top-0 border-start-0 border-end-0 rounded-0 bg-white">Jsem: </label>
									<select name="type" id="type" class="form-select form-select-lg border-top-0 border-start-0 border-end-0 rounded-0"><?php echo option('type', show_sess('reg_type', 'value')[0]); ?></select>
								</div>
								<div class="mb-3 form-floating">
									<input type="text" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="Jméno" name="firstname" value="<?php echo show_sess('reg_firstname', 'value')[0]?>">
									<label>Jméno<small class="text-danger"> *</small></label>
								</div>
								<div class="mb-3 form-floating">
									<input type="text" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="Příjmení" name="surname" value="<?php echo show_sess('reg_surname', 'value')[0]?>">
									<label>Příjmení<small class="text-danger"> *</small></label>
								</div>
								<div class="mb-3 form-floating">
									<input type="email" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="E-mail" name="email" value="<?php echo show_sess('reg_email', 'value')[0]?>">
									<label>E-mail<small class="text-danger"> *</small></label>
								</div>
								<div class="mb-3 form-floating extra d-none">
									<input type="int" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="Telefon" name="telephone" value="<?php echo show_sess('reg_telephone', 'value')[0]?>">
									<label>Telefon<small class="text-danger"> *</small></label>
								</div>
							</div>
							<div class="col extra d-none">
								<input class="form-control form-control-lg border-top-0 border-start-0 border-end-0 rounded-0" accept="image/*" type="file" name="photo" onchange="previewFile()">
								<img id="preview" src="/img/example.jpg" style="max-height: 200px; max-width: 200px;" class="img-thumbnail mt-3 mx-auto d-block">
								<div class="switch-container">
									<input type="hidden" name="gender" class="toggle" value="1">
									<button type="button" class="btn btn-lg btn-toggle" data-toggle="button" aria-pressed="false" autocomplete="off">
									<div class="inner-handle"></div>
									<div class="handle"></div>
									</button>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col">
								<div class="mb-3 form-floating">
									<input type="password" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="Heslo" name="psw">
									<label>Heslo<small class="text-danger"> *</small></label>
								</div>
							</div>
							<div class="col">
								<div class="mb-3 form-floating">
									<input type="password" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder="Heslo znovu" name="psw2">
									<label>Heslo znovu<small class="text-danger"> *</small></label>
								</div>
							</div>
						</div>
						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3 form-floating">
									<input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="text" placeholder="Ulice č.p., město, PSČ" name="address" value="<?php echo show_sess('reg_address', 'value')[0]?>">
									<label>Adresa pracoviště<small class="text-danger"> *</small></label>
								</div>
							</div>
						</div>
						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3 form-floating">
									<input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="date" name="praxe" value="<?php echo show_sess('reg_praxe', 'value')[0]?>">
									<label>Praxe od<small class="text-danger"> *</small></label>
								</div>
							</div>
							<div class="col">
								<div class="mb-3 form-floating">
									<select id="pojistovna" name="pojistovna_type" class="form-select border-top-0 border-start-0 border-end-0 rounded-0">
										<option selected value="1">Ano, hrazeno pojišťovnou</option>
										<option value="2">Ne, klient si hradí sám</option>
									</select>
									<label for="floatingSelect">Hrazeno pojišťovnou:</label>
								</div>
							</div>
						</div>
						<div class="row pojistovna d-none">
							<div class="col-8 offset-1">
								<label class="form-label">Cena za terapii: </label>
								<input id="range" min="0" max="3000" step="10" value="500" type="range" class="form-range">
							</div>
							<div class="col-2">
								<br>
								<input id="price" type="number" value="500" min="0" class="mb-3 form-control border-top-0 border-start-0 border-end-0 rounded-0 w-75" name="price">
							</div>
						</div>
						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3 form-floating">
									<textarea name="info" class="form-control border-top-0 border-start-0 border-end-0 rounded-0" placeholder=" " style="height: 100px"><?php echo show_sess('reg_info', 'value')[0]?></textarea>
									<label>Informace</label>
								</div>
							</div>
						</div>
						<br>
						<div class="row extra d-none">
							<div class="col">
								<h5 class="fw-normal">Druhy terapií</h5>
								<ul class="list-group list-group-flush">
									<?php echo checkbox('therapy_type', NULL);?>
								</ul>
							</div>
							<div class="col">
								<h5 class="fw-normal">Zaměření terapií</h5>
								<ul class="list-group list-group-flush">
									<?php echo checkbox('therapy_focus', NULL);?>
								</ul>
							</div>
						</div>

						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3">
									<label class="d-block mb-2 h5 fw-normal">Ordinační hodiny: </label>
									<div class="list">
										
									</div>
									<div class="col-2 d-inline-block">
										<button class="btn mt-3 p-0" type="button">
											<svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" fill="#00CC00" class="bi bi-plus-circle d-block d-lg-none" viewBox="0 0 16 16">
												<path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
												<path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
											</svg>
											<span class="fs-6 btn btn-primary add d-none d-lg-block">Přidat záznam</span>
										</button>
									</div>
								</div>
							</div>
						</div>
						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3 form-floating">
									<select name="subscription" class="form-select border-top-0 border-start-0 border-end-0 rounded-0">
										<?php echo price(); ?>
									</select>
									<label>Předplatné<small class="text-danger"> *</small></label>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col">
								<div class="mb-3 form-floating">
									<div class="form-check fs-6">
										<input class="form-check-input" type="checkbox" name="gdpr" value="1">
										<label class="form-check-label">Souhlasím se zpracováním <a target="_blank" href="/gdpr/">osobních údajů</a> a se <a target="_blank" href="/cookies/">spracovaním souborů cookies.</a></label>
									</div>
								</div>
							</div>
						</div>
						<div class="row extra d-none">
							<div class="col">
								<div class="mb-3 form-floating">
									<div class="form-check fs-6">
										<input class="form-check-input" type="checkbox" name="podminky" value="1">
										<label class="form-check-label">Souhlasím s <a target="_blank" href="/podminky/">obchodními podmínkami</a> a s <a target="_blank" href="/reklamace/">reklamačním řádem.</a></label>
									</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-8 offset-2">
								<?php echo show_sess('reg_error', 'alert' ,'danger'); ?>
							</div>
						</div>
						<div class="row">
							<button id="btn" type="submit" class="btn btn-lg btn-primary w-50 mx-auto mb-5">Registrovat se</button>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</body>
</html>

<script>
$(document).ready(function() {
	var hash = $(location).attr('hash');
	if (hash == '#2') {
		$('#type').val(2);
	}
});

$('.btn-toggle').click(function(){
	if ($(".toggle").val() == 1) {
		$('.toggle').val(2);
	}else{
		$('.toggle').val(1);
	}
});
	
$('.list').ready(function() {
	$(".list").append(
	'<div class="record"><div class="col-2 d-inline-block"><select style="cursor: pointer;" class="form-select border-top-0 border-start-0 border-end-0 rounded-0" name="day[]"><option value="1">Pondělí</option><option value="2">Úterý</option><option value="3">Středa</option><option value="4">Čtvrtek</option><option value="5">Pátek</option><option value="6">Sobota</option><option value="7">Neděle</option></select></div><span class="ms-5 ps-3 me-2"> od: </span><div class="col-2 d-inline-block"><input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="time" name="from[]"></div><span class="ms-5 ps-4 me-2"> do: </span><div class="col-2 d-inline-block"><input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="time" name="to[]"></div><div class="col-2 d-inline-block"><button type="button" class="btn ms-10 p-0"><svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" fill="Red" class="bi bi-x cancel" viewBox="0 0 16 16"><path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/></svg></button></div></div>');
});

$(document).ready(function(){

$('.add').click(function(){
$(".list").append(
'<div class="record"><div class="col-2 d-inline-block"><select style="cursor: pointer;" class="form-select border-top-0 border-start-0 border-end-0 rounded-0" name="day[]"><option value="1">Pondělí</option><option value="2">Úterý</option><option value="3">Středa</option><option value="4">Čtvrtek</option><option value="5">Pátek</option><option value="6">Sobota</option><option value="7">Neděle</option></select></div><span class="ms-5 ps-3 me-2"> od: </span><div class="col-2 d-inline-block"><input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="time" name="from[]"></div><span class="ms-5 ps-4 me-2"> do: </span><div class="col-2 d-inline-block"><input class="form-control border-top-0 border-start-0 border-end-0 rounded-0" type="time" name="to[]"></div><div class="col-2 d-inline-block"><button type="button" class="btn ms-10 p-0"><svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" fill="Red" class="bi bi-x cancel" viewBox="0 0 16 16"><path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/></svg></button></div></div>');
});

$(".list").on('click', '.cancel', function(){
$(this).parent().parent().parent().remove();
});

});

$( document ).ready(function() {
		previewFile();
});

function previewFile() {
	var preview = document.querySelector('#preview');
	var file    = document.querySelector('input[type=file]').files[0];
	var reader  = new FileReader();

	reader.onloadend = function () {
		preview.src = reader.result;
	}

	if (file) {
		reader.readAsDataURL(file);
	} else {
		preview.src = "/img/example.jpg";
	}
}

$('#pojistovna').on('change', function() {
	if (this.value != 1) {
		$(".pojistovna").removeClass("d-none");
	}else{
		$(".pojistovna").addClass("d-none")
	}
});

$('#pojistovna').ready(function() {
	if (this.value != 1) {
		$(".pojistovna").addClass("d-none");
	}else{
		$(".pojistovna").removeClass("d-none")
	}
});

$(document).on('input', '#range', function() {
	$('#price').val($(this).val());
});

$(document).on('input', '#price', function() {
	$('#range').val($(this).val());
});

$('#type').on('change', function() {
	if (this.value != 1) {
		$(".extra").removeClass("d-none");
		$("#btn").text("Objednat");
	}else{
		$(".extra").addClass("d-none")
		$("#btn").text("Registrovat");
	}
});

$('#type').ready(function() {
	console.log('#type'.value);
	if ($("#type").val() != 1) {
		$(".extra").removeClass("d-none");
		$("#btn").text("Objednat");
	}else{
		$(".extra").addClass("d-none");
		$("#btn").text("Registrovat");
	}
});

</script>