<?php
	session_start();
	require_once dirname(__FILE__).'/common.php';
	include '../../db.php';

	$sql = "SELECT `price` FROM `subs` WHERE price = :price";
	$sqlPriprava = $db->prepare($sql);
	$pole_dat = array(
		':price' => $_SESSION['subs_price'],
	);
	$sqlPriprava->execute($pole_dat);
	$data = $sqlPriprava->fetchAll();
	if (empty($data)) {
		die();
		header("Location:/register");
	}

	try {

		$refId = date("Ymd");
		$price = $_SESSION['subs_price'];
		$currency = 'CZK';

		//vytvoření transakce
		$paymentsProtocol->createTransaction(
			'CZ',                   // země
			$price,                 // cena
			$currency,              // měna
			'Payment test',         // nadpis
			$refId,                 // refId
			NULL,                   // plátce
			'STANDARD',             // vatPL
			'PHYSICAL',             // kategorie
			$_POST['method'],       // metoda
			'',
			$_SESSION['reg_email'], // email
			'',
			'',
			'',

			//předautorizace
			isset($_POST['preauth']),
			(isset($_POST['initRecurring']) && $_POST['initRecurring'] == 'true'),
			isset($_POST['initRecurringId']) ? $_POST['initRecurringId'] : null
		);
		$transId = $paymentsProtocol->getTransactionId();

		$paymentsDatabase->saveTransaction(
			$transId,       // ID transakce
			$refId,         // refId
			$price,         // cena
			$currency,      // měna
			'PENDING'       // status
		);

		header('location: '.$paymentsProtocol->getRedirectUrl());

	}
	
	catch (Exception $e) {
		header('Content-Type: text/plain; charset=UTF-8');
		echo "ERROR\n\n";
		echo $e->getMessage();
	}
