<?php
	session_start();
	include '../db.php';
	include '../lib.php';
	
	$type = validation('type', 'reg', 'Typ účtu nebyl vybrán');
	$firstname = validation('firstname', 'reg', 'Jméno nebylo vyplněno');
	$surname = validation('surname', 'reg', 'Příjmení nebylo vyplněno');
	$email = validation('email', 'reg', 'E-mail nebyl vyplněn.');
	$gdpr = validation('gdpr', 'reg', 'Musíte souhlasit se zpracováním osobních údajů.');
	if (empty($_POST['psw'])) {
		$_SESSION['reg_error'][] = "Heslo nebylo vyplněno";
	}else{
		if (strlen($_POST['psw']) <= 6) {
			$_SESSION['reg_error'][] = "Heslo je příliš krátké";
		}
		if (!preg_match("#[0-9]+#", $_POST['psw'])) {
			$_SESSION['reg_error'][] = "Heslo neobsahuje číslo";
		}
		if (!preg_match("#[a-zA-Z]+#", $_POST['psw'])) {
			$_SESSION['reg_error'][] = "Heslo neobsahuje písméno";
		}

		if (strlen($_POST['psw']) > 6 && preg_match("#[0-9]+#", $_POST['psw']) && preg_match("#[a-zA-Z]+#", $_POST['psw'])) {
			if ($_POST['psw'] == $_POST['psw2']) {
				$length = strlen($_POST['psw']);
				$password[0] = substr($_POST['psw'], 0, 3);
				$password[1] = substr($_POST['psw'], 3, $length);
				$psw_salt = $password[1].$email[2].$password[0];
				$psw_hash = hash('sha256', $psw_salt);
			}else{
				$_SESSION['reg_error'][] = "Hesla se neshodují";
			}
		}
	}
	if ($_POST['type'] != 1) {
		$gender = validation('gender', 'reg', 'Pohlaví nebylo vybrané');
		$tel = validation('telephone', 'reg', 'Telefonní číslo nebylo vyplněno');
		$img = validation('img', 'reg', '', True);
		$address = validation('address', 'reg', 'Adresa nebyla vyplněna');
		if (!empty($address)) {
			$json = file_get_contents('https://maps.googleapis.com/maps/api/geocode/json?address='.str_replace(' ', '+', $address).'&key=AIzaSyB2tKjXenpg7OOJs4oi3R8VHoe2KSaGRJI');
			$json = json_decode($json, true);
			$lat = $json['results'][0]['geometry']['location']['lat'];
			if (empty($lat)) {
				$_SESSION['reg_error'][] = 'Zadejte adresu v platném formátu.';
			}else{
				$lng = $json['results'][0]['geometry']['location']['lng'];
				$form_address = str_replace(', Czechia', '', $json['results'][0]['formatted_address']);
				
			}
		}
		$praxe = validation('praxe', 'reg', 'Praxe od nebyla vybrána');
		$pojistovna_type = validation('pojistovna_type', 'reg', 'Druh hrazení nebyl vybrán');
		if ($pojistovna_type == 2) {
			$price = validation('price', 'reg', 'Cena za terapii nebyla vybrána');
		}else{
			$price = 0;
		}
		$info = validation('info', 'reg', '', True);
		$subscription = date("Y-m-d", strtotime(date("Y-m-d", strtotime(date('Y-m-d'))) . " + ".validation('subscription', 'reg', 'Délka předplatného nebyla vybrána')." day"));
		$podminky = validation('podminky', 'reg', 'Musíte souhlasit s obchodními podmínkami.');

		$sql = "SELECT `price` FROM `subs` WHERE days = :days";
		$sqlPriprava = $db->prepare($sql);
		$select_data = array(
			':days' => $_POST['subscription'],
		);
		$sqlPriprava->execute($select_data);
		$data = $sqlPriprava->fetchAll();
		if (empty($data)) {
			$_SESSION['reg_error'] = "Neplatná délka předplatného.";
		}else{
			$_SESSION['subs_price'] = $data[0]['price'];
		}


		if (!empty($_POST['therapy_type'][0])) {
			$count_type = count($_POST['therapy_type']);
			for ($i=0; $i <= $count_type; $i++) { 
				$therapy_type[$i] = $_POST['therapy_type'][$i];
			}
		}else{
			$_SESSION['reg_error'][] = "Nebyl vybrán žádný typ terapie.";
		}
		if (!empty($_POST['therapy_focus'][0])) {
			$count_focus = count($_POST['therapy_focus']);
			for ($i=0; $i <= $count_focus; $i++) { 
				$focus[$i] = $_POST['therapy_focus'][$i];
			}
		}else{
			$_SESSION['reg_error'][] = "Nebylo vybráné žádné zaměření terapie.";
		}
		if (!empty($_POST['day']) && !empty($_POST['from']) && !empty($_POST['to'])) {
			$count_day = count($_POST['day']);
			for ($i=0; $i <= $count_day; $i++) { 
				$day[$i] = $_POST['day'][$i];
				$from[$i] = $_POST['from'][$i];
				$to[$i] = $_POST['to'][$i];
			}
		}
	}

	if (empty($_SESSION['reg_error'])) {
		$sql = "INSERT INTO `users` (`type`, `firstname`, `surname`, `gender`, `img`, `tel`, `email`, `password`, `address`, `lat`, `lng`, `praxe`, `price`, `info`, `subscription`) 
			VALUES (:type, :firstname, :surname, :gender, :img, :tel, :email, :password, :address, :lat, :lng, :praxe, :price, :info, :subscription)";
		$prepare = $db->prepare($sql);
		$insert_data = array(
			':type' => $type,
			':firstname' => $firstname,
			':surname' => $surname,
			':gender' => $gender,
			':img' => $img,
			':tel' => $tel,
			':email' => $email,
			':password' => $psw_hash,
			':address' => $form_address,
			':lat' => $lat,
			':lng' => $lng,
			':praxe' => $praxe,
			':price' => $price,
			':info' => $info,
			':subscription' => $subscription
		);
		$prepare->execute($insert_data);
		
		$sql = "SELECT `id` FROM `users` ORDER BY `id` DESC LIMIT 1";
		$sqlPriprava = $db->prepare($sql);
		$sqlPriprava->execute();
		$data = $sqlPriprava->fetchAll();
		
		$count_day = count($day);
		for ($i=0; $i <= $count_day; $i++) { 
			$sql = "INSERT INTO `ordinary_time` (`user_id`, `day`, `from`, `to`) VALUES (:user_id, :day, :from_, :to)";
			$prepare = $db->prepare($sql);
			$insert_data = array(
				':user_id' => $data[0]['id'],
				':day' => $day[$i],
				':from_' => $from[$i],
				':to' => $to[$i],
			);
			$prepare->execute($insert_data);
		}

		if (!empty($therapy_type)) {
			foreach ($therapy_type as $key => $value) {
				$sql = "INSERT INTO `meta_therapy_type` (`user_id`, `therapy_id`) VALUES (:user_id, :therapy_id)";
				$prepare = $db->prepare($sql);
				$insert_data = array(
					':user_id' => $data[0]['id'],
					':therapy_id' => $value['therapy_id']
				);
				$prepare->execute($insert_data);
			}
		}

		if (!empty($focus)) {
			foreach ($focus as $key => $value) {
				$sql = "INSERT INTO `meta_therapy_focus` (`user_id`, `therapy_id`) VALUES (:user_id, :therapy_id)";
				$prepare = $db->prepare($sql);
				$insert_data = array(
					':user_id' => $data[0]['id'],
					':therapy_id' => $value['therapy_id']
				);
				$prepare->execute($insert_data);
			}
		}

		$_SESSION['reg_success'][] = 'Uživatel úspešně přidán.';
		if (empty($_SESSION['subs_price'])) {
			header("Location:/");
		}else{
			header("Location:pay");
		}
	}else{
		header("Location:/register");
	}


?>