<?php
	include '../../lib.php';
	$sql = "SELECT * FROM `users` WHERE `id` = :id";
		$sqlPriprava = $db->prepare($sql);
		$pole_dat = array(
			':id' => $_GET['id']
		);
		$sqlPriprava->execute($pole_dat);
		$data = $sqlPriprava->fetchAll();

	$sql = "SELECT * FROM `meta_terapy` JOIN `terapy_focus` ON `terapy_focus`.`id` = `meta_terapy`.`terapy_id` WHERE `user_id` = :id AND `type` = 1";
		$sqlPriprava = $db->prepare($sql);
		$pole_dat = array(
			':id' => $_GET['id']
		);
		$sqlPriprava->execute($pole_dat);
		$data_type = $sqlPriprava->fetchAll();

	$sql = "SELECT * FROM `meta_terapy` JOIN `terapy_focus` ON `terapy_focus`.`id` = `meta_terapy`.`terapy_id` WHERE `user_id` = :id AND `type` = 2";
		$sqlPriprava = $db->prepare($sql);
		$pole_dat = array(
			':id' => $_GET['id']
		);
		$sqlPriprava->execute($pole_dat);
		$data_focus = $sqlPriprava->fetchAll();

	$sql = "SELECT * FROM `ordinary_time` WHERE `user_id` = :id";
		$sqlPriprava = $db->prepare($sql);
		$pole_dat = array(
			':id' => $_GET['id']
		);
		$sqlPriprava->execute($pole_dat);
		$data_ordinary = $sqlPriprava->fetchAll();	

	$lat = $data[0]['lat'];
	$lng = $data[0]['lng'];

 ?>
<!DOCTYPE html>
<html>
<head lang="cs">
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<title>Terapeut - detail</title>

	<!-- CSS -->
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
		<link rel="stylesheet" type="text/css" href="/style.css">

	<!-- JS -->
		<script src="map.js"></script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
		<script async defer src="https://maps.googleapis.com/maps/api/js?key=ZDE_BYL_API_KLIC&callback=initMap"></script>
</head>
<body>
	<div class="container-lg">
		<?php echo nav_menu('/therapists'); ?>
		<div class="row mt-5">
			<div class="justify-content-center">
				<div class="card mb-3 mx-auto w-75">
					<div class="row">
						<div class="circle my-3 mx-auto">
							<img class="img-crop border-0" src="../../img/not-img-man.png">
						</div>
						<h5 class="text-center"><?= $data[0]['firstname'].' '.$data[0]['surname'] ?></h5>
						<hr class="my-4 w-75 mx-auto">
					</div>
					<div class="row g-2">
						<div class="col-md-5">
							<div class="card-body">
								<h5 class="card-title">Kontakty</h5>
								<p class="card-text"><?= $data[0]['email']?></p>
								<p class="card-text"><?= $data[0]['tel']?></p>
								<p class="card-text">Přijimá pacienty</p>
								<p class="card-text"><?= $data[0]['address']?></p>
								<p class="card-text"><?= $data[0]['price']?> Kč za hodinu</p>
								<p class="card-text">Praxe od: <?= $data[0]['praxe']?></p>
								<hr class="my-3">
								<h6 class="card-title">Zaměření</h6>
								<p class="card-text">
									<?php 
										foreach ($data_focus as $key => $value) {
											echo $value['name'].'<br>';
										} 
									?>
								</p>
								<h6 class="card-title">Druhy terapií</h6>
								<p class="card-text">
									<?php 
										foreach ($data_type as $key => $value) {
											echo $value['name'].'<br>';
										} 
									?>
								</p>
								<hr class="my-3">
								<h5 class="card-title">Ordinační hodiny</h5>
								<?php 
									$days = array("Pondělí","Úterý","Středa","Čtvrtek","Pátek","Sobota","Neděle");
									echo '<table>';
									foreach ($data_ordinary as $key => $value) {
										echo '<tr>';
											echo '<td>'.$days[$value['day']-1].'</td><td class="ps-3">'.date("h:i", strtotime($value['from'])).' - '.date("h:i", strtotime($value['to'])).'</td>';
										echo '</tr>';
									}
									echo '</table>';
								?>
							</div>
						</div>
						<div class="col-md-7">
							<div class="card-body">
								<h5 class="card-title">Informace</h5>
								<p class="card-text"><?= $data[0]['info']?></p>
								<div id="map" style="height: 400px;width: 100%;"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>
<?php echo footer(); ?>
</html>
<script>
	//vrací hodnotu 0
	$(document).ready(function() {
		var image = $('.img-crop');
		if (image.width() < image.height()) {
			$('.img-crop').addClass('w-100');
		}else{
			$('.img-crop').addClass('h-100');
		}
	});
</script>