<?php
	include '../lib.php';
 ?>
<!DOCTYPE html>
<html>
<head lang="cs">
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<title>Terapeut - terapeuti</title>

	<!-- CSS -->
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
		<link rel="stylesheet" type="text/css" href="/style.css">

	<!-- JS -->
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
</head>
<body>
	<div class="container-lg">
		<?php echo nav_menu('/therapists'); ?>
		<div class="row mt-5">
			<div class="col-lg-3">
				<h3>Vyhledat</h3>
				<form method="GET">
					<div class="input-group">
						<input class="form-control" list="search" name="search" value="<?=$_GET['search']?>" autocomplete="off" placeholder="Jméno a příjmení">
						<button id="search-button" type="submit" class="btn btn-outline-success px-3">
							<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
								<path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
							</svg>
						</button>
					</div>
					<?php $col[] = 'firstname'; $col[] = 'surname'; echo datalist('search', $col, 'users')?>
				</form>
				<br>
				<form method="GET">
					<!--Poloha - příprava-->
					<div class="mb-2">
						<label class="form-label d-inline-block">Poloha</label>
						<input type="text" disabled class="form-control" value="<?=$_GET['position']?>" name="position" placeholder="Vaše aktuální pozice">
					</div>
					<div class="mb-2">
						<label class="form-label d-inline-block">Max. do: </label>
						<input id="price" type="number" value="<?=$_GET['range']?>" placeholder="50" min="0" class="form-control border-0 w-33 d-inline-block" name="range"><span>km.</span>
						<input id="range" min="0" max="200" step="5" value="<?=$_GET['range']?>" type="range" class="form-range">
					</div>
					<div class="mb-2">
						<label class="form-label d-inline-block">Max. cena za terapii: </label>
						<input id="price2" type="number" value="<?=$_GET['price']?>" placeholder="500" min="0" class="form-control border-0 w-33 d-inline-block" name="price"><span>Kč.</span>
						<input id="range2" min="0" max="3000" step="10" value="<?=$_GET['price']?>" type="range" class="form-range">
					</div>
					<div class="mb-2">
						<label class="form-label" >Druh terapie: </label>
						<input class="form-control" list="type" placeholder="Druh terapie" value="<?=$_GET['type']?>" name="type">
						<?php echo datalist('type', 'name', 'terapy_type')?>
					</div>
					<div class="mb-2">
						<label class="form-label" >Problém: </label>
						<input class="form-control" list="focus" placeholder="Problém" value="<?=$_GET['focus']?>" name="focus">
						<?php echo datalist('focus', 'name', 'terapy_focus')?>
					</div>
					<!--Pojišťovny - příprava-->
					<div class="mb-2 d-none">
						<label class="form-label" >Pojišťovna: </label>
						<select class="form-select" value="<?=$_GET['pojistovna']?>" name="pojistovna">
							<?php echo option('pojistovna', '1')?>
						</select>
					</div>
					<!--Jazyky - příprava-->
					<div class="mb-2 d-none">
						<label class="form-label" >Jazyk: </label>
						<select class="form-select" value="<?=$_GET['lang']?>" name="lang">
							<?php echo option('language', '1')?>
						</select>
					</div>
					<button type="submit" class="float-center btn btn-outline-success mt-2">Filtrovat</button>
				</form>
			</div>
		
			<div class="col-lg-9">
				<?php echo show_therapists($_GET); ?>
			</div>
		</div>
	</div>
</body>
<?php echo footer(); ?>
</html>
<script>
	//vrací hodnotu 0
	$(document).ready(function() {
		var image = $('.img-crop');
		if (image.width() < image.height()) {
			$('.img-crop').addClass('h-100');
		}else{
			$('.img-crop').addClass('w-100');
		}
	});

	$(document).on('input', '#range', function() {
		$('#price').val($(this).val());
	});

	$(document).on('input', '#price', function() {
		$('#range').val($(this).val());
	});

	$(document).on('input', '#range2', function() {
		$('#price2').val($(this).val());
	});

	$(document).on('input', '#price2', function() {
		$('#range2').val($(this).val());
	});
</script>